{% extends "page.html" %}
{% block title %}
    {{ g.site.short_name }}
    - not found ({{ person_data.crsid }})
{% endblock %}
{% block content %}
    <div id="person-info" data-crsid="{{ person_data.crsid }}">
        <div class="card">
            <div class="card-header d-flex justify-content-between">
                <div>
                    <h3>Person not found! 😞</h3>
                    <code class="lead">{{ person_data.crsid }}</code>
                </div>
            </div>
            <div class="card-body">
                <p>
                    No profile was found for the CRSid
                    <code>{{ person_data.crsid }}</code>.
                </p>
                {% if get_current_user() in config.SUPER_ADMINISTRATORS %}
                    <p>
                        Profiles for members of participating institutions are automatically imported every few hours.
                        Membership can be checked on their
                        <a href="https://www.lookup.cam.ac.uk/person/crsid/{{ person_data.crsid }}">lookup.cam</a>
                        page.
                    </p>
                    <p>
                        If you wish to force an import, including people from outside participating institutions, click the
                        button below (not recommended).
                    </p>
                    <button class="btn btn-primary new-profile" id="import-profile" name="create" value="import">
                        Import data
                    </button>
                {% elif get_current_user() == person_data.crsid %}
                    <p>
                        Lookup profiles are only available to members of participating institutions. If you have recently
                        joined an institution it may take a few hours to synchronise your data. Check your details are
                        correct on your
                        <a href="https://www.lookup.cam.ac.uk/person/crsid/{{ person_data.crsid }}">lookup.cam</a>
                        page as this will be used as the basis of your profile here.
                    </p>
                    <p>
                        If you still have an issue, contact
                        <a href="mailto:{{ g.site.support_email }}">{{ g.site.support_email }}</a>.
                    </p>
                {% else %}
                    <p>
                        Only members of participating institutions are included. Members may also choose to hide their
                        profile.
                    </p>
                    <p>
                        If you think there should be someone here, check that they exist on
                        <a href="https://www.lookup.cam.ac.uk/person/crsid/{{ person_data.crsid }}">lookup.cam</a>
                        and ask them to contact support if their profile does not exist.
                    </p>
                {% endif %}
            </div>
        </div>
    </div>
{% endblock %}